apt-get parou de funcionar... [RESOLVIDO]

1. apt-get parou de funcionar... [RESOLVIDO]

Jose de Avelar
zecaavelar

(usa Debian)

Enviado em 20/10/2016 - 11:31h

Bom Dia! Sinto-me envergonhado de ainda estar neste Grupo (iniciantes) - um vez que TENTO usar linux desde 1999 (a 18 anos) e ainda sofro muito me privando de muitas coisas. No windows que ha cerca de uns 4 anos praticamente deixei de usar completamente - acreditem - sou considerado "usuario avançado" (não por mim). Meu problema - o de hoje:
.
Tentando migrar meu Debian 8 Jessie 32 bits para 64 bits executei horas de comandos (sem exito). No entanto, nesses comandos, ficou (segundo penso) integrado um pacote " amd 64 ".
Ao abrir o synaptic hoje, apareceu que no filtro existirem "6 pacores quebrados". Pedi a reinstalação. Para tanto me informou que seria necessária a remoção de um Pacote Essencial ( apt amd 64 - se me lembro bem). Autorizei assim mesmo a ação de consertar os pacotes quebrados. Resultado:
.
Agora não está funcionando o "apt-get update" e nada que conste o "apt-get" ou apenas "apt" (v.abaixo)
Agradeço à quem puder me ajudar desde agora. Att. Prof. Avelar - gaDs
-------
[email protected]:~$ su
Senha:
[email protected]:/home/oem# apt-get update
bash: /usr/bin/apt-get: cannot execute binary file: Erro no formato exec
[email protected]:/home/oem#
------


  


2. apt-get parou de funcionar...

Willian ricardo mendonca
mendoncawillian

(usa Debian)

Enviado em 20/10/2016 - 12:33h

Amigo boa tarde

Essa migração em N casos que já pesquisei nunca deu certo e é onde sei não é possível faze-la sem reinstalar o sistema operacional, corrijam-me se eu estiver enganado por favor, recomendo fortemente que o sistema operacional seja reinstalado já como 64 bits. Caso não queira faze-lo tente usar o aptitude para instalação de pacotes para ver se funciona. Caso não poste o erro aqui.
--
Atenciosamente
Willian Mendonça
Administrador de Redes
Bacharelando em Engenharia da Computação
[email protected]
Não esqueça de avaliar a melhor resposta


3. Re: apt-get parou de funcionar... [RESOLVIDO]

Jose de Avelar
zecaavelar

(usa Debian)

Enviado em 20/10/2016 - 13:09h

Obrigado pela gentileza da Atenção Willian! Realmente - eu creio ser melhor baixar e instalar o Debian Jessie ou substituto já em 64 bits. No entanto - qual a maioria das instruções que sigo com os comandos - RARAMENTE uma se completa com exito. Pergunto: 1) Tem algum modo "mais seguro" ou fácil de baixar e instalar o Debian 64 bits? 2) Meu PC (processador etc) suporta o amd 64? Renovo o agradecimento pelas informações valiosas que deixou!
Att. Prof. Avelar - gaDs


4. Re: apt-get parou de funcionar... [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 20/10/2016 - 13:09h

zecaavelar escreveu:
...


velho ... migrar é uma coisa atualizar para migrar é outra bem diferente.

Suponha q vc tenha um fusca e queira migrar para um camaro, o que vc faria ?

1 - Colocaria o motor do camaro no fusca
2 - Se livraria do fusca e compraria um camaro

Se sua resposta foi a "2" vc fez a coisa certa, veja bem ... não rola de vc ter um SO x32 e querer atualizar ele para o x64, vc até pode tentar fazer essa gambiarra mas as chances de vc só conseguir perder tempo é de 99,9999999999999999% pois assim como na analogia do fusca e do camaro, apesar de ambos compartilharem de uma mesma estrutura ( ambos tem motor, volante, bancos, carroceria etc ... ) , as arquiteturas são diferentes !!!

então camarada, o q vc tem q fazer aí é uma instalação limpa do x64 !!!

___________________________________________________________________________________________
" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"


5. Re: apt-get parou de funcionar... [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 20/10/2016 - 13:19h

-não tem como migrar linux-32bits p/ linux-64bits
-vc deveria fazer bkp de seus arquivos e fazer instalação limpa do linux-64bits
-eu só usava linux-32bits num netbook acer-aspire-one pq o processador era 32bits
-se vc tem processador-64bits e minimo 2gb/ram use linux-64bits
-se processador for "fraco" use um desktop leve como xfce ou mate ou lxde


***********************************************
http://dicaslinuxmint.blogspot.com.br/


6. Re: apt-get parou de funcionar... [RESOLVIDO]

Willian ricardo mendonca
mendoncawillian

(usa Debian)

Enviado em 20/10/2016 - 13:25h

zecaavelar escreveu:

Obrigado pela gentileza da Atenção Willian! Realmente - eu creio ser melhor baixar e instalar o Debian Jessie ou substituto já em 64 bits. No entanto - qual a maioria das instruções que sigo com os comandos - RARAMENTE uma se completa com exito. Pergunto: 1) Tem algum modo "mais seguro" ou fácil de baixar e instalar o Debian 64 bits? 2) Meu PC (processador etc) suporta o amd 64? Renovo o agradecimento pelas informações valiosas que deixou!
Att. Prof. Avelar - gaDs


Amigo para verificar se seu processador tem suporte a 64 bits use o comando:
- lscpu (Disponível em mais detalhes no seguinte link http://www.uniriotec.br/~morganna/guia/lscpu.html )

Já para baixar o Debian de uma forma mais segura rápida e simples use o site oficial que é https://www.debian.org/distrib/

--
Atenciosamente
Willian Mendonça
Administrador de Redes
Bacharelando em Engenharia da Computação
[email protected]
Não esqueça de avaliar a melhor resposta


7. Re: apt-get parou de funcionar... [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 20/10/2016 - 14:03h

Como saber a arquitetura do sistema/processador:
https://elias.praciano.com/2014/07/como-saber-se-sistema-e-32-ou-64-bits-no-linux/


8. apt-get parou de funcionar...

Jose de Avelar
zecaavelar

(usa Debian)

Enviado em 20/10/2016 - 14:13h

Obrigado aos Amigos que estão me ajudando. Pretendo baixar Debian 64bits MAS... Não consegui saber ainda se a CPU e o Process Intel suportam. Caso negativo - Que alternativas tenho (que não sejam caras - não disponho de muitos recursos) gaDs
---
mendoncawillian = OBRIGADO pelo retorno!
(usa Debian)
clodoaldops = Obrigado pela ajuda (já me ajudou d'outras vezes...)
(usa Linux Mint)
Mauriciodez = Obrigado pela clareza e firmeza. Pretendo seguir teu conselho = Instalar Debian de 64 bits. MAS... Não sei se minha CPU e Process Intel suportam. Abaixo deixo info. (que não soube ler com precisão).
(usa Debian)
------------------
[email protected]:~$ lscpu
Arquitetura: i686
Modo(s) operacional da CPU:32-bit
Ordem dos bytes: Little Endian
CPU(s): 2
Lista de CPU(s) on-line:0,1
Thread(s) per núcleo 1
Núcleo(s) por soquete:2
Soquete(s): 1
ID de fornecedor: GenuineIntel
Família da CPU: 6
Modelo: 54
Nome do modelo: Intel(R) Atom(TM) CPU D2500 @ 1.86GHz
Step: 1
CPU MHz: 1861.990
BogoMIPS: 3723.98
cache de L1d: 24K
cache de L1i: 32K
cache de L2: 512K
[email protected]:~$ cat /proc/cpuinfo | grep lm
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc arch_perfmon pebs bts nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl tm2 ssse3 xtpr pdcm movbe lahf_lm arat dtherm
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc arch_perfmon pebs bts nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl tm2 ssse3 xtpr pdcm movbe lahf_lm arat dtherm
[email protected]:~$
------------------


9. Re: apt-get parou de funcionar... [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 20/10/2016 - 14:24h

zecaavelar escreveu:

Obrigado aos Amigos que estão me ajudando. Pretendo baixar Debian 64bits MAS... Não consegui saber ainda se a CPU e o Process Intel suportam. Caso negativo - Que alternativas tenho (que não sejam caras - não disponho de muitos recursos)


velho .. vc tem problemas aí ... tenho quase certeza q além de seu processador ser x86 ( 32 bit ) ele é soldado na placa mãe

___________________________________________________________________________________________
" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"


10. Re: apt-get parou de funcionar... [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 20/10/2016 - 14:36h

-veja saída do comando: lshw

-veja que diz a linha largura:

-como no exemplo abaixo:
infoway
descrição: Computer
largura: 64 bits
capacidades: smp vsyscall32



***********************************************
http://dicaslinuxmint.blogspot.com.br/


11. Re: apt-get parou de funcionar... [RESOLVIDO]

Jose de Avelar
zecaavelar

(usa Debian)

Enviado em 20/10/2016 - 17:13h

Mauriciodez escreveu:

zecaavelar escreveu:

Obrigado aos Amigos que estão me ajudando. Pretendo baixar Debian 64bits MAS... Não consegui saber ainda se a CPU e o Process Intel suportam. Caso negativo - Que alternativas tenho (que não sejam caras - não disponho de muitos recursos)


velho .. vc tem problemas aí ... tenho quase certeza q além de seu processador ser x86 ( 32 bit ) ele é soldado na placa mãe

___________________________________________________________________________________________
" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"


--------
Obrigado Amigo por de algum modo tirar teu tempo para ajudar-me (e a outros). Não sei se meu Processador é soldado. Parece que quase tudo de meu PC seja da Intel. Mas - creio que para "ter mais problemas ainda" (risos) Hoje (pela primeira vez em 4 anos) não acessava a alegando problem no hardware (creio que wince ou algo assim). Reiniciei e pedi para "Restaurar o PC" - o que fez com que ele retornasse a 2012 - com tudo antigo (google chrome 21.9... etc.) E pior - ao dar no terminal o comando su - não reconhece minha senha. Usei então o "sudo su" e entrou - dei o apt-get (agora crendo que ao menos isso funcionasse) mas tbem não funcionou nem no "apt-get" "apt" ou "aptitude update" - dando a mesma MSG:
E pelo visto (smj) voltou a ser wheezy e não mais jessie!!! Abaixo log. Agradeço de coração, MAS, ouso dar u'a sugestão de se possível que dê SUGESTÕES de COMO resolver - ao lado das informações de "estamos ferrados" etc. Um Abraço Cordial - Prof. Avelar - gaDs
---------------
[email protected]:~$ sudo su
[email protected]:/home/oem# apt-get update
Obter:1 http://security.debian.org wheezy/updates InRelease [40,6 kB]
Err http://security.debian.org wheezy/updates InRelease

Baixados 1 B em 15s (0 B/s)
Lendo listas de pacotes... Pronto
W: Ocorreu um erro durante a verificação da assinatura. O repositório não está actualizado e serão utilizados os ficheiros anteriores de índice. Erro do GPG: http://security.debian.org wheezy/updates InRelease: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553

W: Falhou ao buscar http://security.debian.org/dists/wheezy/updates/InRelease

W: Some index files failed to download. They have been ignored, or old ones used instead.
[email protected]:/home/oem#
-------------------------


12. apt-get parou de funcionar...

Jose de Avelar
zecaavelar

(usa Debian)

Enviado em 20/10/2016 - 17:29h

Caro Amigo Clodoaldo... Novamente Obrigado por dedicar algum tempo a este "eterno iniciante"!
.
Tentando resolver o problema que surgiu ha pouco (que nunca nos 4 anos que tenho este PC ocorrera) de não entrar a Placa de Rede (wice network) e assim nem a Net - resolvi - talvez em extrema medida - Restaurar o PC... Ocorre que restaurou e a Placa funcionou - MAS... Parece que o PC voltou para 2012 - com google chome 21.9 - firefox super antigo - e até mesmo parece que voltou a ser wheezy quando pelas atualizações era Jessie 8 - atualizado.
.
Só que talvez de positivo o "apt-get" funcionou - em termos pois 1) não aceitou minha senha de "su" - Assim usei "sudo su" e aceitou MAS ao comando (incluindo com o aptitude) de atualizar (apt-get update ou aptitude update) apareceram as mesmas INFO de problem na atualização que colo abaixo. Pode me ajudar ainda de algum modo? Ah - O Amigo anterior - me informou que 'acredita' que o Processador Intel seja "soldado" - Isso afeta???
.
Executei o comando que me orientou e apareceram logs muito extensos. Deixo uma parte que creio sirva para analise. Pode me orientar de algum modo? Obrigado desd'agora. Prof.Avelar - gaDs.
---
---------------------------------

[email protected]:~$ lshw
WARNING: you should run this program as super-user.
oem-linux
description: Computer
width: 32 bits
*-core
description: Motherboard
physical id: 0
*-memory
description: System memory
physical id: 0
size: 2007MiB
*-cpu
product: Intel(R) Atom(TM) CPU D2500 @ 1.86GHz
vendor: Intel Corp.
physical id: 1
bus info: [email protected]
version: 6.6.1
serial: 0003-0661-0000-0000-0000-0000
size: 1850MHz
width: 32 bits
------ ----------- continuava o log muito além das info acima.......---------
===============
[email protected]:~$ sudo su
[email protected]:/home/oem# apt-get update
Obter:1 http://security.debian.org wheezy/updates InRelease [40,6 kB]
Err http://security.debian.org wheezy/updates InRelease

Baixados 1 B em 15s (0 B/s)
Lendo listas de pacotes... Pronto
W: Ocorreu um erro durante a verificação da assinatura. O repositório não está actualizado e serão utilizados os ficheiros anteriores de índice. Erro do GPG: http://security.debian.org wheezy/updates InRelease: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553

W: Falhou ao buscar http://security.debian.org/dists/wheezy/updates/InRelease

W: Some index files failed to download. They have been ignored, or old ones used instead.
[email protected]:/home/oem#
===========
PS... Penso que se ao menos funcionar o "apt-get" posso atualizar novamente até ser "jessie" de novo (caso tenha mesmo deixado de sê-lo) e ainda outros Progr. qual o "synaptic" que não consta como tendo / atualização do "kde" etc etc etc. ABS - gaDs



01 02 03



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts